Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogManagerBusiness

All Known Subinterfaces:
  CatalogManager

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface CatalogManagerBusiness

Method Summary
`CatalogRequest` | `createAdminCatalogRequest()` Deprecated See BEA Commerce product offering
`CatalogRequest` | `createCatalogRequest()` Deprecated See BEA Commerce product offering
`CatalogQueryManager` | `getCatalogQueryManager(CatalogRequest request)` Deprecated See BEA Commerce product offering
`CategoryManager` | `getCategoryManager(CatalogRequest request)` Deprecated See BEA Commerce product offering
`CustomDataManager` | `getCustomDataManager(CatalogRequest request)` Deprecated See BEA Commerce product offering
`ProductItemManager` | `getProductItemManager(CatalogRequest request)` Deprecated See BEA Commerce product offering
`void` | `onRemoveItem(CatalogRequest request, CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering

Method Detail

### getCategoryManager

    CategoryManager getCategoryManager(CatalogRequest request)
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the CategoryManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CategoryManager service
  Throws
    `RemoteException`
  See Also
    `CategoryManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getProductItemManager

    ProductItemManager getProductItemManager(CatalogRequest request)
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the ProductItemManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the ProductItemManager service
  Throws
    `RemoteException`
  See Also
    `ProductItemManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getCatalogQueryManager

    CatalogQueryManager getCatalogQueryManager(CatalogRequest request)
                                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the CatalogQueryManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CatalogQueryManager service
  Throws
    `RemoteException`
  See Also
    `CatalogQueryManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getCustomDataManager

    CustomDataManager getCustomDataManager(CatalogRequest request)
                                           throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the CustomDataManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CustomDataManager service
  Throws
    `RemoteException`
  See Also
    `CustomDataManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### onRemoveItem

    void onRemoveItem(CatalogRequest request,
                      CatalogItemKey itemKey)
                      throws RemoteException

  Deprecated See BEA Commerce product offering

  Callback method. Services that remove items: `CategoryManager.removeCategory` and `ProductItemMananger.removeItem` should notify the `CatalogManager` that the items have been removed.

  Parameters
    `request` - the current CatalogRequest for the user
    `itemKey` - the key for the item being removed
  Throws
    `RemoteException`

### createCatalogRequest

    CatalogRequest createCatalogRequest()
                                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Creates a CatalogRequest with default user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  Throws
    `RemoteException`
  See Also
    `createAdminCatalogRequest()`

### createAdminCatalogRequest

    CatalogRequest createAdminCatalogRequest()
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Creates a CatalogRequest with administrative user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  Throws
    `RemoteException`
  See Also
    `createCatalogRequest()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved